### Method

# Gtk TreeModel iter_parent

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_tree_model_iter_parent (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter,
      GtkTreeIter* child
    )

#### Description [src]

Sets `iter` to be the parent of `child`.

If `child` is at the toplevel, and doesn’t have a parent, then `iter` is set to an invalid iterator and `FALSE` is returned. `child` will remain a valid node after this function has been called.

`iter` will be initialized before the lookup is performed, so `child` and `iter` cannot point to the same memory location.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  The new `GtkTreeIter` to set to the parent.

  The argument will be set by the function.
  The data is owned by the instance.

`child`

  Type: `GtkTreeIter`

  The `GtkTreeIter`

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE`, if `iter` is set to the parent of `child`.